#converter {
    display: flex;
    gap: 0.5rem;
}

#convertButton, #convertInput, #convertResult {
    background-color: inherit;
    border: 2px solid var(--accent-color);
    font-size: inherit;
    color: inherit;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 0.5rem;
}

#convertInput, #convertResult {
    width: 30%;
    padding: 0.5rem;
    text-align: center;
    font-family: inherit;
}

#convertResult {
    color: var(--background-color);
}

#convertButton {
    width: 3rem;
}

#convertButton svg {
    align-self: center;
}

#convertButton:hover {
    color: var(--secondary-color);
    border-color: var(--secondary-color);
    cursor: pointer;
}

/*
#convertButton:active {
    color: white;
    border-color: white;
}
*/

#convertButton:active svg {
    fill: var(--secondary-color);
}

#calculator {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 0.5rem;
}

#digits {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0.5rem;
}

#operators {
    display: grid;
    grid-template-columns: 1fr;
    gap: 0.5rem;
}

.calcButton {
    border: 2px solid var(--accent-color);
    border-radius: 0.5rem;
    padding: 0.5rem;
    text-align: center;
}

.calcButton:hover {
    color: var(--secondary-color);
    border-color: var(--secondary-color);
    cursor: pointer;
}

#calcDisplay {
    grid-column: 1 / 5;
    grid-row: 1 / 2;
}

#digits {
    grid-column: 1 / 4;
    grid-row: 3 / 7;
}

#operators {
    grid-column: 4 / 5;
    grid-row: 2 / 7;
}

/*
#one { grid-column:  / ; grid-row:  / ; }
#two { grid-column:  / ; grid-row:  / ; }
#three { grid-column:  / ; grid-row:  / ; }
#four { grid-column:  / ; grid-row:  / ; }
#five { grid-column:  / ; grid-row:  / ; }
#six { grid-column:  / ; grid-row:  / ; }
#seven { grid-column:  / ; grid-row:  / ; }
#eight { grid-column:  / ; grid-row:  / ; }
#nine { grid-column:  / ; grid-row:  / ; }
#zero { grid-column:  / ; grid-row:  / ; }
#one { grid-column:  / ; grid-row:  / ; }
#one { grid-column:  / ; grid-row:  / ; }
#one { grid-column:  / ; grid-row:  / ; }
#one { grid-column:  / ; grid-row:  / ; }
*/